aboutsummaryrefslogtreecommitdiff
path: root/templates/hooks/commit-msg.sample
diff options
context:
space:
mode:
authorJunio C Hamano <gitster@pobox.com>2024-12-12 16:55:41 +0900
committerJunio C Hamano <gitster@pobox.com>2024-12-12 16:55:41 +0900
commit2187ce76c57173397ca5262ee6a23d1c3a2fab63 (patch)
tree722a4edd8605316134aa61c6c2eb30ea1f381e3a /templates/hooks/commit-msg.sample
parentcaacdb5dfd60540ecec30ec479f147f3c8167e11 (diff)
parent904339edbd80ec5676616af6e072b41804c1c8eb (diff)
downloadgit-2187ce76c57173397ca5262ee6a23d1c3a2fab63.tar.xz
Merge branch 'ps/build' into ps/3.0-remote-deprecation
* ps/build: (24 commits) Introduce support for the Meson build system Documentation: add comparison of build systems t: allow overriding build dir t: better support for out-of-tree builds Documentation: extract script to generate a list of mergetools Documentation: teach "cmd-list.perl" about out-of-tree builds Documentation: allow sourcing generated includes from separate dir Makefile: simplify building of templates Makefile: write absolute program path into bin-wrappers Makefile: allow "bin-wrappers/" directory to exist Makefile: refactor generators to be PWD-independent Makefile: extract script to generate gitweb.js Makefile: extract script to generate gitweb.cgi Makefile: extract script to massage Python scripts Makefile: extract script to massage Shell scripts Makefile: use "generate-perl.sh" to massage Perl library Makefile: extract script to massage Perl scripts Makefile: consistently use PERL_PATH Makefile: generate doc versions via GIT-VERSION-GEN Makefile: generate "git.rc" via GIT-VERSION-GEN ...
Diffstat (limited to 'templates/hooks/commit-msg.sample')
-rwxr-xr-xtemplates/hooks/commit-msg.sample24
1 files changed, 24 insertions, 0 deletions
diff --git a/templates/hooks/commit-msg.sample b/templates/hooks/commit-msg.sample
new file mode 100755
index 0000000000..b58d1184a9
--- /dev/null
+++ b/templates/hooks/commit-msg.sample
@@ -0,0 +1,24 @@
+#!/bin/sh
+#
+# An example hook script to check the commit log message.
+# Called by "git commit" with one argument, the name of the file
+# that has the commit message. The hook should exit with non-zero
+# status after issuing an appropriate message if it wants to stop the
+# commit. The hook is allowed to edit the commit message file.
+#
+# To enable this hook, rename this file to "commit-msg".
+
+# Uncomment the below to add a Signed-off-by line to the message.
+# Doing this in a hook is a bad idea in general, but the prepare-commit-msg
+# hook is more suited to it.
+#
+# SOB=$(git var GIT_AUTHOR_IDENT | sed -n 's/^\(.*>\).*$/Signed-off-by: \1/p')
+# grep -qs "^$SOB" "$1" || echo "$SOB" >> "$1"
+
+# This example catches duplicate Signed-off-by lines.
+
+test "" = "$(grep '^Signed-off-by: ' "$1" |
+ sort | uniq -c | sed -e '/^[ ]*1[ ]/d')" || {
+ echo >&2 Duplicate Signed-off-by lines.
+ exit 1
+}